/*===========================================================================
|> License
|	The MIT License (MIT)
|
|	Copyright (c) 2013 Edoardo Alberto Dominici
|
|	Permission is hereby granted, free of charge, to any person obtaining a copy
|	of this software and associated documentation files (the "Software"), to deal
|	in the Software without restriction, including without limitation the rights
|	to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
|	copies of the Software, and to permit persons to whom the Software is
|	furnished to do so, subject to the following conditions:
|
|	The above copyright notice and this permission notice shall be included in
|	all copies or substantial portions of the Software.
|
|	THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
|	IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
|	FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
|	AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
|	LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
|	OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
|	THE SOFTWARE.
=============================================================================*/

#ifndef COMMON_HPP_INCLUDED_
#define COMMON_HPP_INCLUDED_

/*===========================================================================
| > DirectX / Win32 includes
=============================================================================*/
#include <Windows.h>
#include <D3DX11.h>
#include <xnamath.h>
#include <D3D11.h>
#include <DXGI.h>
#include <d3dx11effect.h>
#include <DxErr.h>

/*===========================================================================
| > C++ STL includes
=============================================================================*/
#include <iostream>
#include <string>
#include <memory>
#include <cassert>
#include <vector>
#include <fstream>
#include <iostream>
#include <sstream>
#include <algorithm>

/*===========================================================================
| > Stegosaurus Engine includes
=============================================================================*/
#include "core/types.hpp"
#include "core/ste_defs.hpp"
#include "core/helper.hpp"
#include "graphics/requirements.hpp"

#endif // COMMON_HPP_INCLUDED_