/*===========================================================================
|> License
|	The MIT License (MIT)
|
|	Copyright (c) 2013 Edoardo Alberto Dominici
|
|	Permission is hereby granted, free of charge, to any person obtaining a copy
|	of this software and associated documentation files (the "Software"), to deal
|	in the Software without restriction, including without limitation the rights
|	to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
|	copies of the Software, and to permit persons to whom the Software is
|	furnished to do so, subject to the following conditions:
|
|	The above copyright notice and this permission notice shall be included in
|	all copies or substantial portions of the Software.
|
|	THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
|	IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
|	FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
|	AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
|	LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
|	OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
|	THE SOFTWARE.
=============================================================================*/

#ifndef TYPES_HPP_INCLUDED_
#define TYPES_HPP_INCLUDED_

/*===========================================================================
| > Includes
=============================================================================*/
#include <cstdint>

/*===========================================================================
| > Reusable typedefs for commonly used types
=============================================================================*/

namespace ste
{
	namespace core
	{
		typedef char int_8;
		typedef unsigned char uint_8;
		typedef unsigned char uchar; //! < Defining unsigned char as uchar too, this is because the name depends on the use

		typedef int16_t int_16;
		typedef uint16_t uint_16;

		typedef int32_t int_32;
		typedef uint32_t uint_32;

		typedef __int64 int_64;
		typedef unsigned __int64 uint_64;
	}
}

#endif // TYPES_HPP_INCLUDED_