/*===========================================================================
|> License
|	The MIT License (MIT)
|
|	Copyright (c) 2013 Edoardo Alberto Dominici
|
|	Permission is hereby granted, free of charge, to any person obtaining a copy
|	of this software and associated documentation files (the "Software"), to deal
|	in the Software without restriction, including without limitation the rights
|	to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
|	copies of the Software, and to permit persons to whom the Software is
|	furnished to do so, subject to the following conditions:
|
|	The above copyright notice and this permission notice shall be included in
|	all copies or substantial portions of the Software.
|
|	THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
|	IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
|	FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
|	AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
|	LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
|	OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
|	THE SOFTWARE.
=============================================================================*/

#ifndef COORDINATE_SYSTEM_HPP_INCLUDED_
#define COORDINATE_SYSTEM_HPP_INCLUDED_

#include "../common.hpp"

namespace ste
{
	namespace graphics
	{
		class CoordinateSystem
		{
		public :
			static inline XMVECTOR to_screen_space(FXMVECTOR _to_convert, ste::core::uint_32 _width, ste::core::uint_32 _height)
			{
				return XMVectorSet(XMVectorGetX(_to_convert) / _width * 2 - 1, (XMVectorGetY(_to_convert) / _height * -2) + 1,0,0);
			}

			static inline XMVECTOR to_pixel(FXMVECTOR _to_convert, ste::core::uint_32 _width, ste::core::uint_32 _height)
			{
				return XMVectorSet((1 + XMVectorGetX(_to_convert)) * _width / 2, -(-1 + XMVectorGetY(_to_convert)) * _height / 2, 0, 0);
			}
		};
	}
}

#endif // COORDINATE_SYSTEM_HPP_INCLUDED_