/*===========================================================================
|> License
|	The MIT License (MIT)
|
|	Copyright (c) 2013 Edoardo Alberto Dominici
|
|	Permission is hereby granted, free of charge, to any person obtaining a copy
|	of this software and associated documentation files (the "Software"), to deal
|	in the Software without restriction, including without limitation the rights
|	to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
|	copies of the Software, and to permit persons to whom the Software is
|	furnished to do so, subject to the following conditions:
|
|	The above copyright notice and this permission notice shall be included in
|	all copies or substantial portions of the Software.
|
|	THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
|	IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
|	FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
|	AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
|	LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
|	OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
|	THE SOFTWARE.
=============================================================================*/

Texture2D sprite_texture;
SamplerState sprite_texture_sampler;

struct VS_IN
{
	float3 SSPosition : POSITION0;
	float2 TexCoord : TEXCOORD0;
};

struct VS_OUT
{
	float4 SSPosition : SV_POSITION0;
	float2 TexCoord : TEXCOORD0;
};

VS_OUT VS(VS_IN vs_in)
{
	VS_OUT vs_out;

	vs_out.SSPosition = float4(vs_in.SSPosition.xyz, 1.0f);
	vs_out.TexCoord = vs_in.TexCoord;

	return vs_out;
}

float4 PS(VS_OUT ps_in) : SV_TARGET0
{
	return sprite_texture.Sample(sprite_texture_sampler, ps_in.TexCoord, 0);
}

technique11 SPRITE_TECH_5
{
	pass PASS_0
	{
		SetVertexShader(CompileShader(vs_5_0, VS()));
		SetPixelShader(CompileShader(ps_5_0, PS()));
	}
};